QGIS Application - Bug report #10040
singleparts to multipart fails (python error)
2014-04-10 12:13 AM - matteo ghetta

Status: Closed

Priority: Normal
Assignee:

Category: Processing/QGIS

Affected QGIS version:2.2.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?:

Easy fix?:

Resolution: fixed/implemented
Copied to github as #: 18521

Description

The tool works nice when the Unique ID field is a field of the table. It fails when the option merge - all is activated. Nothing is added to

the map canvas.

| tried with different shapefiles but nothing changes. In attach you can find a sample file.

This is the error in the log:

An error has occured while executing Python code:

Traceback (most recent call last):

File "/usr/share/qgis/python/plugins/fTools/tools/doGeometry.py", line 326, in run

success = self.single_to_multi()

File "/usr/share/qgis/python/plugins/fTools/tools/doGeometry.py", line 396, in single_to_multi

if idVarMod == iMod or merge_all:

UnboundLocalError: local variable 'idVarMod' referenced before assignment

Python version:
2.7.3 (default, Mar 14 2014, 12:14:27)
[GCC 4.7.2]

QGIS version:
2.2.0-Valmiera Valmiera, exported

Python path: ['/home/ma7730/.qgis2/python/plugins/processing', '/ust/share/qgis/python’, u'’/home/ma7730/.qgis2/python’,
u'/home/ma7730/.qgis2/python/plugins’, '/usr/share/qgis/python/plugins', '/usr/lib/python2.7', '/usr/lib/python2.7/plat-linux2',

'fusr/lib/python2.7/lib-tk', "/usr/lib/python2.7/lib-old'", ‘/ust/lib/python2.7/lib-dynload', '/home/ma7730/.local/lib/python2.7/site-packages’,
'/usr/local/lib/python2.7/dist-packages', '/ust/lib/python2.7/dist-packages’, '/usr/lib/python2.7/dist-packages/PIL',

"/usr/lib/python2.7/dist-packages/gtk-2.0", '/usr/lib/pymodules/python2.7', '/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode’,

'lusr/share/qgis/python/plugins/fTools/tools', '/home/ma7730/.qgis2/python/plugins/midvatten’]

History

#1 - 2014-04-16 10:55 PM - dr -

Confirm this issue.

#2 - 2014-04-25 05:39 AM - Andrey Isakov

Yes, same issue.

2025-04-26

12




#3 - 2014-04-29 12:36 PM - dr -

Seems to be fixed in https://issues.qgis.org/projects/quantum-gis/repository/revisions/23900ba55d761fc24f4f4a4ef29636abfdf11dasd

#4 - 2014-05-04 02:57 AM - Salvatore Larosa
- Resolution set to fixed/implemented
- Status changed from Open to Closed

Fixed in master. Please reopen if necessary.

#5 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.

Files

example.zip 436 KB 2014-04-09 matteo ghetta
